Logo
OpenScaler
API DocumentationVirtual Private Cloud (VPC)

Create a New VPC

POST
/v1/vpcs

Create a new VPC with given parameters.

Authorization

bearer_auth
AuthorizationBearer <token>

Authentication

Create an API token on Profile. Send it in the Authorization header:

Authorization: Bearer os1_...

Do not use the Keycloak web-session JWT as an API token. Keep the secret secure and do not share it.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X POST "https://example.com/v1/vpcs" \  -H "Content-Type: application/json" \  -d '{    "name": "my-vpc",    "project_id": "default",    "region": "alg1"  }'
{  "name": "my-vpc",  "description": "My website VPC",  "subnet": "10.1.0.0/24",  "vpc_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",  "is_default": false,  "region": "alg1",  "user_id": "7247ba6a-b17d-4c72-94f1-a36108aee56d",  "project_id": "default"}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized. Send POST /v1/init, then retry the request."    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}